# Overview

WebSphere Application Server Network Deployment 

IBM WebSphere Application Server Network Deployment provides an advanced, flexible runtime environment for large-scale application deployments. It offers near-continuous availability with advanced performance and management capabilities for mission-critical applications. For details on IBM Websphere Application Server Network Deployment please visit [here][WAS-ND-product-page].

# Usage
Download your licensed IBM Installation Manager software version 1.5 and above for 'x86_64' based machine. And version 1.8 and above for 'ppc64le' based machine and upload to your apache repository. 

Download your licensed IBM Websphere ND software 8.5.5.0 version and upload to your apache repository.

Download your licensed IBM Websphere ND software WAS fixpack version 8.5.5.4 and upload to your apache repository.

For 'ppc64le' based machines, Download your licensed IBM Websphere Base software WAS fixpack version 8.5.5.6 and upload to your apache repository.

Put up all the downloaded contents on the web server like Apache and configure apache to serve these packages. These packages can be accessed using a URL from the web server.


#Creating the repositories in Apache

Run steps below with admin access

Install needed packages
    apt-get install dpkg-dev apache2

Create the repository on apache server Under your apache repository directory.
Configure apache server to allow access to the repository.

To install the downloaded binaries you must agree to the IBM license. You can view the full license for IBM Installation Manager and IBM WebSphere Application Server Base by visiting the [Software license agreements search website][License] Search for "IBM Installation Manager" and "IBM Websphere Application Server" and choose the license that applies to the version you are using.


Run the following to deploy this charm:

    juju deploy was-nd

At this point the charm will wait until the user accepts the license.  If you 
agree to the license, run the following command:

If the was_nd_url and im_filename is configured in the config.yaml:

    juju set was-nd accept-ibm-im-license=True accept-ibm-was-nd-license=True

If not,

    juju set was-nd accept-ibm-im-license=True accept-ibm-was-nd-license=True was_nd_url=<Web server URL> im_file_name=<IM package name> im_install_path=<IM Installation Path>


You can then browse to "http://was-nd unit's ip-address:9060/ibm/console" to view WAS Console.

# Configuration

`accept-ibm-im-license`  
The IBM Installation Manager software comes with special terms and conditions from IBM.
The IBM Installation Manager software can only be used by accepting the terms and 
conditions found in the IBM-Installation-Manager-license.txt file.  

Setting this option to True indicates that you have read and accept the 
IBM  Installation Manager terms and conditions found in the license file.  
The license file(s) can be found in the product binaries you downloaded. 

`accept-ibm-was-nd-license`
Before you can use, extract, or install IBM WebSphere Application Server
for Developers V8.5.5, you must accept the terms of International License
Agreement for Non-Warranted Programs and additional license information.
Please read the license agreement carefully.

The license file can be found in the root directory of the charm source
in the IBM-WebSphere-license.txt file

**The WebSphere software cannot be installed until the terms and
contions are accepted.  The charm will not function correctly until the
this configuration option is set to True.**

`was_nd_url`
The web server URL from which IBM IM and IBM WAS ND install packages can be downloaded.

`im_install_path`
Install Location for Installation Manager. Ex : "/opt/IBM/InstallationManager". Here IM will install at this location, It can be changed if IM needs to be installed at some other place.

`im_file_name`
The IBM Installation Manager Package name. If not set, It will assign the value "Install_Mgr_v1.6.2_Lnx_WASv8.5.5.zip" for x86_64 based machine and "agent.installer.linux.gtk.ppc64le_1.8.1000.20141126_2002.zip" for ppc64le based machine.

`sha_im`
Checksum value to check integrity of IBM Installation Manager package. The Charm uses sha1sum to check the integrity. If empty, it does not carry out the integrity check. Use `sha1sum <Package Location/Package Name> | cut -d" " -f1` to find out Checksum value for downloaded package. Cryptographic value should be altered by the user only when the package name is change. Else it should not be altered.

#IBM WAS ND Information

(1) General Information 
Information on IBM WAS ND available [here] [WAS-ND-Infocenter]

(2) Download Information

Downloadable Package Names for 'x86_64' based machine:
WASND_v8.5.5_1of3.zip
WASND_v8.5.5_2of3.zip
WASND_v8.5.5_3of3.zip
8.5.5-WS-WAS-FP0000004-part1.zip
8.5.5-WS-WAS-FP0000004-part2.zip

Downloadable Package Names for 'ppc64le' based machine:
WAS_ND_V8.5.5_FOR_POWERLE_ML.zip
WASND_V8.5.5_2OF_2_FOR_POWERLE_ML.zip
8.5.5-WS-WAS-LE-FP0000006-part1.zip
8.5.5-WS-WAS-LE-FP0000006-part2.zip

Information on procuring WAS product is available at the [Passport Advantage Site] [Passport-Advantage]

Details about WAS ND 8.5.5.0 download available [here] [WAS-ND-8.5.5.0-download]

Details about WAS 8.5.5.4 fixpack download available [here] [[WAS-ND-8.5.5.4-fixpack-download]

A trial version is available [here] [WAS-ND-trail-version].

More information about IBM IM Downloadable file available [here][IBM-IM-more-info]

(3) Contact Information

For issues with this charm, please contact jujusupp@us.ibm.com.

<!-- Links -->

[WAS-ND-Infocenter]: http://www-01.ibm.com/support/knowledgecenter/SSAW57_8.5.5/as_ditamaps/was855_welcome_ndmp.html?lang=en

[WAS-ND-product-page]: http://www-03.ibm.com/software/products/en/appserv-wasnd

[WAS-ND-8.5.5.0-download]: http://www-01.ibm.com/support/docview.wss?uid=swg27038624

[WAS-ND-8.5.5.4-fixpack-download]: http://www-01.ibm.com/support/docview.wss?uid=swg24038539

[WAS-ND-trail-version]: http://www-01.ibm.com/software/webservers/appserv/was/library/v85/nd-dp/

[Passport-Advantage]: http://www-01.ibm.com/software/passportadvantage/

[IBM-IM-more-info]: http://www-01.ibm.com/support/docview.wss?uid=swg24038380

[WAS-ND-for-ppc64le]: http://www-304.ibm.com/support/knowledgecenter/SSEQTP_8.5.5/com.ibm.websphere.installation.nd.doc/ae/cins_offerings.html?lang=en-us

[WAS-ppc64le-fixpack-info]: http://www-01.ibm.com/support/docview.wss?uid=swg24040035

[License]: http://www-03.ibm.com/software/sla/sladb.nsf/search

